package one.shandan;
import one.shandan.PlJavaJSword;
import org.crosswire.jsword.book.BookException;
import org.junit.jupiter.api.Test;
import static org.junit.jupiter.api.Assertions.assertEquals;

public class TestPlJavaJSword {
  private static final String KJV_GEN_1_1_3 = "In the beginning God created the heaven and the earth. And the earth was without form, and void; and darkness was upon the face of the deep. And the Spirit of God moved upon the face of the waters. And God said, Let there be light: and there was light.";
  private static final String MKJV_GEN_1_1_3 = "In the beginning God created the heaven and the earth. And the earth was without form and empty. And darkness was on the face of the deep. And the Spirit of God moved on the face of the waters. And God said, Let there be light. And there was light.";
  @Test
  public void testIsValidVerseValidVerse(){
    assertEquals(true, PlJavaJSword.isValidVerse("Gen 1:1"));
  }
  @Test
  public void testIsValidVerseInvalidVerse(){
    assertEquals(false, PlJavaJSword.isValidVerse("Bogus 1:1"));
  }
  @Test
  public void testText() throws BookException {
    assertEquals("In the beginning God created the heaven and the earth.", PlJavaJSword.getText("KJV", "Genesis 1:1"));
  }
  @Test
  public void testTextParse() throws BookException {
    assertEquals("In the beginning, God created the heavens and the earth.", PlJavaJSword.getText("ESV", "Genesis 1:1"));
  }
  @Test
  public void testTextMany() throws BookException {
    assertEquals(KJV_GEN_1_1_3, PlJavaJSword.getText("KJV", "Genesis 1:1-3"));
  }
  @Test
  public void testTextParseMany() throws BookException {
    assertEquals(MKJV_GEN_1_1_3, PlJavaJSword.getText("MKJV", "Genesis 1:1-3"));
  }
  @Test
  public void testDefaultText() throws BookException {
    assertEquals("In the beginning God created the heaven and the earth.", PlJavaJSword.getDefaultText("Genesis 1:1"));
  }
  @Test
  public void testDefaultTextMany() throws BookException {
    assertEquals(MKJV_GEN_1_1_3, PlJavaJSword.getDefaultText("Genesis 1:1-3"));
  }
}
